Packager: Sergey V Turchin <zerg@altlinux.ru>
Name: SDL_gfx
Version: 2.0.3
Release: alt3
%define lib_name lib%name

# Automatically added by buildreq on Thu Jan 23 2003
BuildRequires: XFree86-devel-static XFree86-libs aalib-devel esound-devel gcc-c++ glibc-devel-static libSDL-devel libalsa2-devel libarts-devel libaudiofile-devel libslang libstdc++-devel

BuildRequires: automake_1.4

Source: http://www.ferzkopp.net/Software/SDL_gfx-2.0/SDL_gfx-2.0.3.tar.gz

Summary: SDL graphics drawing primitives and other support functions
Group: System/Libraries
License: LGPL


%description
The SDL_gfx library evolved out of the SDL_gfxPrimitives code which
provided basic drawing routines such as lines, circles or polygons and
SDL_rotozoom which implemented a interpolating rotozoomer for SDL
surfaces.

The current components of the SDL_gfx library are:

   * Graphic Primitives (SDL_gfxPrimitves.h)
   * Rotozoomer (SDL_rotozoom.h)
   * Framerate control (SDL_framerate.h)
   * MMX image filters (SDL_imageFilter.h)

The library is backwards compatible to the above mentioned code. Its
is written in plain C and can be used in C++ code.

%package -n %lib_name
Summary: SDL graphics drawing primitives and other support functions
Group: System/Libraries
#
%description -n %lib_name
The SDL_gfx library evolved out of the SDL_gfxPrimitives code which
provided basic drawing routines such as lines, circles or polygons and
SDL_rotozoom which implemented a interpolating rotozoomer for SDL
surfaces.

The current components of the SDL_gfx library are:

   * Graphic Primitives (SDL_gfxPrimitves.h)
   * Rotozoomer (SDL_rotozoom.h)
   * Framerate control (SDL_framerate.h)
   * MMX image filters (SDL_imageFilter.h)

The library is backwards compatible to the above mentioned code. Its
is written in plain C and can be used in C++ code.

%package -n %lib_name-devel
Summary: Libraries and includes to develop SDL_gfx programs
Group: Development/C
Requires: %lib_name = %version-%release
#
%description -n %lib_name-devel
The SDL_gfx library evolved out of the SDL_gfxPrimitives code which
provided basic drawing routines such as lines, circles or polygons and
SDL_rotozoom which implemented a interpolating rotozoomer for SDL
surfaces.

The current components of the SDL_gfx library are:

   * Graphic Primitives (SDL_gfxPrimitves.h)
   * Rotozoomer (SDL_rotozoom.h)
   * Framerate control (SDL_framerate.h)
   * MMX image filters (SDL_imageFilter.h)

The library is backwards compatible to the above mentioned code. Its
is written in plain C and can be used in C++ code.

%package -n %{lib_name}-devel-static
Summary: Static libraries to develop SDL_gfx programs
Group: Development/C
Requires: %lib_name-devel = %version-%release
#
%description -n %{lib_name}-devel-static
Static libraries to develop SDL_gfx programs

%package -n %lib_name-test
Summary: Test binary for %name
Group: Sound
Requires: %lib_name = %version-%release

%description -n %lib_name-test
This package contains binary to test the associated library.

%prep
%define buildsubdir %name-%version
%setup -q -n %buildsubdir


%build
%set_automake_version 1.4
aclocal
%configure
%make_build
pushd Test
    export CFLAGS="-I%_builddir/%buildsubdir -L%_builddir/%buildsubdir  -L%_builddir/%buildsubdir/.libs"
    %configure
    %make_build
popd


%install
%makeinstall
pushd Test
%makeinstall
popd
mkdir -p %buildroot/%_includedir/SDL
mv %buildroot/%_includedir/*.h %buildroot/%_includedir/SDL

%post -n %lib_name -p /sbin/ldconfig
%postun -n %lib_name -p /sbin/ldconfig

%files -n %lib_name
%_libdir/*.so.*

%files -n %lib_name-devel
%doc AUTHORS COPYING ChangeLog INSTALL LICENSE NEWS README
%doc Docs/
%_libdir/*.so
%_includedir/SDL/*.h

%files -n %{lib_name}-devel-static
%_libdir/*.a

%files -n %lib_name-test
%_bindir/*

%changelog
* Thu Jan 23 2003 Rider <rider@altlinux.ru> 2.0.3-alt3
- fix rebuild in new invironment (automake)

* Mon Oct 14 2002 Sergey V Turchin <zerg@altlinux.ru> 2.0.3-alt2
- rebuild with gcc3.2

* Tue Aug 13 2002 Sergey V Turchin <zerg@altlinux.ru> 2.0.3-alt1
- initial spec
